# Namespace enum

RFC4122 & RFC9562 provided namespaces for v3, v5, and v8 namespace based UUIDs

Inheritance
  - Object
  - Enum
  - Namespace

## Constructors

Namespace({required String value})
  const

## Values

DNS → const Namespace
  `const Namespace(value: InternalConstants.zDNS)`
URL → const Namespace
  `const Namespace(value: InternalConstants.zURL)`
OID → const Namespace
  `const Namespace(value: InternalConstants.zOID)`
X500 → const Namespace
  `const Namespace(value: InternalConstants.zX500)`
NIL → const Namespace
  `const Namespace(value: InternalConstants.zNIL)`
MAX → const Namespace
  `const Namespace(value: InternalConstants.zMAX)`
dns → const Namespace
  `const Namespace(value: InternalConstants.zDNS)`
url → const Namespace
  `const Namespace(value: InternalConstants.zURL)`
oid → const Namespace
  `const Namespace(value: InternalConstants.zOID)`
x500 → const Namespace
  `const Namespace(value: InternalConstants.zX500)`
nil → const Namespace
  `const Namespace(value: InternalConstants.zNIL)`
max → const Namespace
  `const Namespace(value: InternalConstants.zMAX)`

## Properties

bytes → List<int>
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
uuidValue → UuidValue
  no setter
value → String
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<Namespace>
  A constant List of the values in this enum, in order of their declaration.